# This is the Gradle build system for JVM applications
# https://gradle.org/
# https://github.com/gradle/gradle
image: gradle:6.2-jdk8

# Disable the Gradle daemon for Continuous Integration servers as correctness
# is usually a priority over speed in CI environments. Using a fresh
# runtime for each build is more reliable since the runtime is completely
# isolated from any previous builds.
variables:
  GRADLE_OPTS: "-Dorg.gradle.daemon=false -Dorg.gradle.configureondemand=false -Dorg.gradle.parallel=false"

before_script:
  - export GRADLE_USER_HOME=`pwd`/.gradle

build:
  stage: build
  script: gradle --build-cache assemble
  artifacts:
    paths:
      - build/libs
      - gradle-plugin/build/libs
      - "gradle-plugin/*/build/libs"
  cache:
    key: "$CI_COMMIT_REF_NAME"
    policy: push
    paths:
      - build
      - .gradle
      - gradle-plugin/.gradle
      - gradle-plugin/build
      - gradle-plugin/resume.target.p2/build
      - gradle-plugin/resume.target.p2/workspace

test:
  stage: test
  script: gradle check
  artifacts:
    paths:
      - build/reports
  cache:
    key: "$CI_COMMIT_REF_NAME"
    policy: pull
    paths:
      - build
      - .gradle
      - gradle-plugin/.gradle
      - gradle-plugin/build
      - gradle-plugin/resume.target.p2/build
      - gradle-plugin/resume.target.p2/workspace

pages:
  stage: deploy
  script:
    - mkdir .public
    - cp -r * .public
    - mv .public public
  artifacts:
    paths:
      - public
  only:
    - master
